# JSON:API Preview Tab

## Contents of this file

 - Introduction
 - Requirements
 - Installation
 - Maintainers

## Introduction

The JSON:API Preview Tab module adds a convenient tab (local task) to entity admin pages, allowing developers to view the JSON:API response for each entity directly from the entity’s admin interface.

This module integrates seamlessly with Drupal’s JSON:API module, providing a quick and easy way to see the structured JSON representation of content, media, taxonomy terms, and menu content items.

## Requirements

This module requires Drupal core >= 9.0.

## Installation

Install the module using composer:

```
composer require 'drupal/jsonapi_preview_tab:1.0.x'
```

Enable the module and assign roles who need access to this tab the `access jsonapi preview tab` permission.

## Maintainers

Current maintainers:
- William Luisi ([@wluisi](https://www.drupal.org/u/wluisi))
